---
date: 2010-03-08
author: Nathan
email: nesquena@gmail.com
title: Comprehensive
---

Building on our experience in developing web applications, we designed a framework that meets all the requirements for creating a top notch web application in a *clean*, *concise* and *simple environment*, with minimal *deadline* delays.

Out of the box we give you the following:

||
|**Agnostic:**|Full support for many popular testing, templating, mocking, and database libraries.|
|**Generators:**|Create Padrino applications, mailers, controllers, helpers, models, migrations and Rake tasks|
|**Mountable:**|Unlike other Ruby frameworks, Padrino is designed for mounting multiple apps.|
|**Routing:**|Full URL named routes, named params, respond\_to support, before/after filter support.|
|**Helpers:**|Different helpers for generating tags, forms, links, images, and more.|
|**Mailer:**|Fast and simple support for delivering emails.|
|**Caching:**|Simple route and fragment caching to easily speed up your web requests.|
|**Admin:**|Built-in admin interface (akin to Django Admin) with authentication.|
|**Logging:**|Provides a unified logger that can interact with your ORM or any library of your choice.|
|**Reloading:**|Automatically reloads server code during development.|
|**Localization:**|Full support for I18n localization.|
